# Varbase Update
General instructions on how to update Varbase

# 1 - Read the release notes to know what had been changed.

For each stable release we will have some notes, and extra steps,
developers need to do to update the last release to the new release.


#  For Example:
* https://www.drupal.org/project/varbase/releases/8.x-4.28
* https://www.drupal.org/project/varbase/releases/8.x-4.27
* https://www.drupal.org/project/varbase/releases/8.x-4.26
* https://www.drupal.org/project/varbase/releases/8.x-4.24
* https://www.drupal.org/project/varbase/releases/8.x-4.23
* https://www.drupal.org/project/varbase/releases/8.x-4.22

# 2 - Backups

* Backup your project database.
* Backup your project files.
* Test a restore for your backups, to make sure that your backups works.

# 3 - Get the packaged files for the new version of Varbase 8.4.x

* From Drupal website: https://www.drupal.org/project/varbase
* Using varbase-project: https://packagist.org/packages/vardot/varbase-project

# 4 - From your terminal, change directory to the root directory of your
#     project to do the update:

# For Example:

```
Given that we do have a project at the /var/www/html/projects/example folder
  And we do have our custom themes, features, custom modules in
   /var/www/html/projects/example/themes/custom/
   /var/www/html/projects/example/modules/custom/
   /var/www/html/projects/example/sites/default
so on ...
like contributed modules which we had theme added
while working on the project.

  And we opened a terminal console window
  And we changed directory to our project folder
  cd /var/www/html/projects/example in Linux

  When we delete all files and folders, except our changes on Varbase.
  Then we will be left with only custom changes

  When we copy all Varbase files
  And we make sure that we do not have any overridden files or folders
     only delete old ones and copy new folder of modules to the same place
```

# 5 - Set the right file permissions.
# 6 - Update composer packages. use "composer outdated"
# $ composer update

  Make sure that you do have modules in the right place.

# 7 - Import Varbase Core Features and Bundles:

```
 Given that you are logged in with the "webmaster" user
   And the "Features" module is enabled
   And the "Features UI" module is enabled
  When you go to "admin/config/development/features"
  Then you should not see any changed features in the Varbase core bundle.
  When you click on all "Changed"
  Then you will be able to see all changes
   And you will be able to import new changes if you need them
```

# 8 - Do your Drupal 8 database updates

* By the terminal "drush updb".
* By the web browser by going to "yousite.domain/update.php"

# 9 - Regression test the full site.

* Done :\)

--------------------------------------------------------------------------------

# Updating Varbase 8.4.27 to Varbase 8.4.28
  If you already did the update of Varbase from 8.4.26 to 8.4.27, this
  updating to 8.4.28 will be a quick and easy one.

Remove the following from your composer.json file
```
"drupal/views_bootstrap": "3.x-dev#ec4e7872315db6a7287014b029c3167962647588",
```
```
"drupal/tour_ui": "1.x-dev#5cf793c071aeddea0ecd20d80b541606bfe2aff1",
```
```
"drupal/betterlogin": "1.x-dev#f7cf1c5c9ec5e80c6ac0ef04ed605e25495232cd"
```
```
"drupal/extlink": "1.x-dev#8a773a6c5519ccb167e18cc39d68551b30b0e4b3",
```


## Updating files with Copy and Paste for Varbase 8.4.27 to Varbase 8.4.28
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.28" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.27 to Varbase 8.4.28
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.27 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------

# Updating Varbase 8.4.26 to Varbase 8.4.27
  If you already did the update of Varbase from 8.4.25 to 8.4.26, this
  updating to 8.4.27 will be a quick and easy one.


## Updating files with Copy and Paste for Varbase 8.4.26 to Varbase 8.4.27
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.27" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.26 to Varbase 8.4.27
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.27 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------

# Updating Varbase 8.4.25 to Varbase 8.4.26
  If you already did the update of Varbase from 8.4.24 to 8.4.25, this
  updating to 8.4.26 will be a quick and easy one.


## Updating files with Copy and Paste for Varbase 8.4.25 to Varbase 8.4.26
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.26" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.25 to Varbase 8.4.26
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.26 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------

# Updating Varbase 8.4.24 to Varbase 8.4.25
## Same as updating Varbase 8.4.23 to 8.4.24 

--------------------------------------------------------------------------------

# Updating Varbase 8.4.23 to Varbase 8.4.24
  If you already did the update of Varbase from 8.4.23 to 8.4.24, this
  updating to 8.4.23 will be a quick and easy one.


## Updating files with Copy and Paste for Varbase 8.4.23 to Varbase 8.4.24
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
    And remove:
```
    "drupal/material_admin_support": "1.x-dev#96ce192c31643faf69d77aca3c68578f778be3bc",
    "drupal/type_style": "1.x-dev#486a8ec7c1c7dcd93790ee281c78cfa3dba90d78",
```
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.24" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.23 to Varbase 8.4.24
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.24 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```




--------------------------------------------------------------------------------
# Updating Varbase 8.4.22 to Varbase 8.4.23
  This is only a security vulnerability onDrupal Core - 3rd-party libraries
   -SA-CORE-2018-005

  If you already did the update of Varbase from 8.4.21 to 8.4.22, Please 
  follow the same steps on updating Varbase 8.4.21 to Varbase 8.4.22

--------------------------------------------------------------------------------

# Updating Varbase 8.4.21 to Varbase 8.4.22
  If you already did the update of Varbase from 8.4.20 to 8.4.21, this
  updating to 8.4.22 will be a quick and easy one.

## Updating files with Copy and Paste for Varbase 8.4.21 to Varbase 8.4.22
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we change "drupal/entity_clone": "1.x-dev#9265e359bd31bda693dac9ad84ad52fe63531488",
             with "drupal/entity_clone": "1.x-dev#6d0ce053605e9aaf8412927a9b0ea8da7a9a06e5",
    And we remove "drupal/pathologic": "1.x-dev#4f9f3fdcf1e0b224c4d8650e383a769f40abf9bf",
    And we run the "composer require vardot/varbase:8.4.22" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.21 to Varbase 8.4.22
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.22 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```



--------------------------------------------------------------------------------


# Updating Varbase 8.4.20 to Varbase 8.4.21
## Same as updating Varbase 8.4.18 to 8.4.19 and then updating
 Varbase 8.4.19 to 8.4.20

This release fixes security vulnerabilities in Drupal core.

Drupal core - Highly critical - Remote Code Execution - SA-CORE-2018-004

https://www.drupal.org/sa-core-2018-004


--------------------------------------------------------------------------------


# Updating Varbase 8.4.19 to Varbase 8.4.20
## Same as updating Varbase 8.4.18 to Varbase 8.4.19

This release fixes security vulnerabilities in Drupal core.

Drupal core - Moderately critical - Cross Site Scripting - SA-CORE-2018-003
https://www.drupal.org/sa-core-2018-003

--------------------------------------------------------------------------------



# Updating Varbase 8.4.18 to Varbase 8.4.19
  If you already did the update of Varbase from 8.4.18 to 8.4.19, this
  updating to 8.4.18 will be a quick and easy one.

  NOTICE: About removing all varbase_fearues and themes, and have them.
          as we had * Issue [#2960080](https://www.drupal.org/node/2960080):
                  Departed modules and themes from Varbase 8.x-4.x Profile
                  as stand-alone projects.

## Updating files with Copy and Paste for Varbase 8.4.18 to Varbase 8.4.19
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.19" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.18 to Varbase 8.4.19
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.19 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.17 to Varbase 8.4.18
## Same as updating Varbase 8.4.16 to Varbase 8.4.17

This release fixes security vulnerabilities in Drupal core.

Drupal core - Highly critical - Remote Code Execution - SA-CORE-2018-002
https://www.drupal.org/sa-core-2018-002

--------------------------------------------------------------------------------


# Updating Varbase 8.4.16 to Varbase 8.4.17
  If you already did the update of Varbase from 8.4.16 to 8.4.17, this
  updating to 8.4.16 will be a quick and easy one.

Before any update, please disable the [contribute] module, which the dependency 
had been removed in [Webform 8.5.0-rc5] module.
 [Remove Contribute dependency](https://www.drupal.org/node/2951706)
 and move Contribute message into Webform module.


## Updating files with Copy and Paste for Varbase 8.4.16 to Varbase 8.4.17
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.17" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.16 to Varbase 8.4.17
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.17 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------



# Updating Varbase 8.4.15 to Varbase 8.4.16
  If you already did the update of Varbase from 8.4.15 to 8.4.16, this
  updating to 8.4.16 will be a quick and easy one.

## Updating files with Copy and Paste for Varbase 8.4.15 to Varbase 8.4.16
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.16" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.15 to Varbase 8.4.16
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.16 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.14 to Varbase 8.4.15
# Same as updating Varbase 8.4.14 to Varbase 8.4.15

This release fixes security vulnerabilities in Drupal core.

Drupal core - Critical - Multiple Vulnerabilities - SA-CORE-2018-001
No other changes are included, only the SPDX license identifier from GPL-2.0+ to GPL-2.0-or-later.


--------------------------------------------------------------------------------


# Updating Varbase 8.4.13 to Varbase 8.4.14
  If you already did the update of Varbase from 8.4.13 to 8.4.14, this
  updating to 8.4.14 will be a quick and easy one.

## Updating files with Copy and Paste for Varbase 8.4.13 to Varbase 8.4.14
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.14" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.13 to Varbase 8.4.14
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.14 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.12 to Varbase 8.4.13
  If you already did the update of Varbase from 8.4.11 to 8.4.12, this
  updating to 8.4.12 will be a quick and easy one.

## Updating files with Copy and Paste for Varbase 8.4.12 to Varbase 8.4.13
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.13" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.12 to Varbase 8.4.13
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.13 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.11 to Varbase 8.4.12
  If you already did the update of Varbase from 8.4.10 to 8.4.11, this
  updating to 8.4.12 will be a quick and easy one.

## Updating files with Copy and Paste for Varbase 8.4.11 to Varbase 8.4.12
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project or varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.12" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.11 to Varbase 8.4.12
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.12 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.10 to Varbase 8.4.11

## Updating files with Copy and Paste for Varbase 8.4.10 to Varbase 8.4.11
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project or varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.11" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.10 to Varbase 8.4.11
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.11 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.09 to Varbase 8.4.10

## Updating files with Copy and Paste for Varbase 8.4.09 to Varbase 8.4.10
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project or varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.10" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.09 to Varbase 8.4.10
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.10 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.08 to Varbase 8.4.09

## Updating files with Copy and Paste for Varbase 8.4.08 to Varbase 8.4.09
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Varbase Procedures to the varbase base code. not in any varbase-project or varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.09" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.08 to Varbase 8.4.09
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.09 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.07 to Varbase 8.4.08

## Updating files with Copy and Paste for Varbase 8.4.07 to Varbase 8.4.08
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

Varbase Procedures to the varbase base code. not in any varbase-project or
 varbase-project project builders.
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.08" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.07 to Varbase 8.4.08
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.08 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.06 to Varbase 8.4.07

## Updating files with Copy and Paste for Varbase 8.4.05 to Varbase 8.4.07
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Updating files with composer from Varbase 8.4.06 to Varbase 8.4.07

Project template for Varbase distribution. as we had switch to create Varbase
 projects with the following clean composer command and files:

https://github.com/Vardot/varbase-project
https://github.com/Vardot/varbase-project/blob/8.4.x/composer.json

Every Varbase script or command will be in vardot/varbase, bin/behat, marge-scripts.

```
composer create-project vardot/varbase-project:8.4.x-dev PROJECT_DIR_NAME --stability dev --no-interaction
```

### Moved all scripts:

Varbase Procedures to the varbase base code. not in any varbase-build or
 varbase-project project builders.

### Following the drupal/drupal composer.json
https://github.com/drupal/drupal/blob/8.4.x/composer.json

Which will call and merge drupal/core composer.json
https://github.com/drupal/core/blob/8.4.x/composer.json
This is the composer file for standard, and minimum drupal profiles.

### Varbase Project
https://github.com/Vardot/varbase-project

### Varbase core
https://github.com/Vardot/varbase/blob/8.x-4.x/README.md

### Create new Vartheme sub theme for a project
https://github.com/Vardot/varbase/blob/8.x-4.x/scripts/README.md
https://github.com/Vardot/varbase/blob/8.x-4.x/scripts/scripts.settings.yml
https://github.com/Vardot/varbase/blob/8.x-4.x/scripts/create-new-vartheme.sh


```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-project" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.07" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.06 to Varbase 8.4.07
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.07 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.05 to Varbase 8.4.06

## Updating files with Copy and Paste for Varbase 8.4.05 to Varbase 8.4.06
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Updating files with composer from Varbase 8.4.05 to Varbase 8.4.06

Project template for Varbase distribution. as we had switch to create Varbase
 projects with the following clean composer command and files:

https://github.com/Vardot/varbase-project
https://github.com/Vardot/varbase-project/blob/8.4.x/composer.json

Every Varbase script or command will be in vardot/varbase, bin/behat, marge-scripts.

```
composer create-project vardot/varbase-project:8.4.x-dev PROJECT_DIR_NAME --stability dev --no-interaction
```

### Moved all scripts:

Varbase Procedures to the varbase base code. not in any varbase-build or
 varbase-project project builders.

### Following the drupal/drupal composer.json
https://github.com/drupal/drupal/blob/8.4.x/composer.json

Which will call and merge drupal/core composer.json
https://github.com/drupal/core/blob/8.4.x/composer.json
This is the composer file for standard, and minimum drupal profiles.

### Varbase Project
https://github.com/Vardot/varbase-project

### Varbase core
https://github.com/Vardot/varbase/blob/8.x-4.x/README.md

### Create new Vartheme sub theme for a project
https://github.com/Vardot/varbase/blob/8.x-4.x/scripts/README.md
https://github.com/Vardot/varbase/blob/8.x-4.x/scripts/scripts.settings.yml
https://github.com/Vardot/varbase/blob/8.x-4.x/scripts/create-new-vartheme.sh


```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-Build" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.06" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.05 to Varbase 8.4.06
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.06 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Updating Varbase 8.4.04 to Varbase 8.4.05

If you are updating from Varbase 8.4.01 or earlier, please follow the steps
to updated to Varbase 8.4.02 first. in the UPDATE.md file.

## Updating files with Copy and Paste for Varbase 8.4.04 to Varbase 8.4.05
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Updating files with composer from Varbase 8.4.04 to Varbase 8.4.05
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-Build" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.05" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.04 to Varbase 8.4.05
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.04 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Varbase 8.4.03 to Varbase 8.4.04

If you are updating from Varbase 8.4.01 or earlier, please follow the steps
to updated to Varbase 8.4.02 first. in the UPDATE.md file.

## Updating files with Copy and Paste for Varbase 8.4.03 to Varbase 8.4.04
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Updating files with composer from Varbase 8.4.03 to Varbase 8.4.04
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-Build" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.04" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.03 to Varbase 8.4.04
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.04 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Varbase 8.4.02 to Varbase 8.4.03

If you are updating from Varbase 8.4.01 or earlier, please follow the steps
to updated to Varbase 8.4.02 first. in the UPDATE.md file.

## Updating files with Copy and Paste for Varbase 8.4.02 to Varbase 8.4.03
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Updating files with composer from Varbase 8.4.02 to Varbase 8.4.03
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-Build" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.03" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.02 to Varbase 8.4.03
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.03 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```


--------------------------------------------------------------------------------


# Varbase 8.4.01 to Varbase 8.4.02

## Updating files with Copy and Paste for Varbase 8.4.01 to Varbase 8.4.02
```
  Given that we are at the drupal root folder for varbase
   When we delete all drupal core folders and files
    And we copy all new Varbase files drupal root folder for varbase
    And we make sure that we have all custom module or themes still in the
        "sites" folder
    And we make sure that all new used modules and features are present.
   Then we will be ready to update the active config and database.
```

## Updating files with composer from Varbase 8.4.01 to Varbase 8.4.02
```
  Given that we are at the root folder for varbase project, not the docroot
    And we make sure that the current "Varbase-Build" composer.json file and
        files are the latest
   When we delete the "vendor" folder
    And we delete the "composer.lock" file
    And we run the "composer require vardot/varbase:8.4.02" command
    And wait for composer to finish work
   Then we should not see any issues in the terminal
    And we should see "Writing lock file" in the terminal
    And we should see "Generating autoload files" in the terminal
   When the composer finishes work with no errors
   Then we will be ready to update the active config and database.
```

## Updating the active config and database from Varbase 8.4.01 to Varbase 8.4.02
```
  Given that we are in the docroot of the current Varbase project
    And all files are updated using (copy and past) or (composer require/update
    And we had deleted the "bootstrap_layout" module folder
   When we run drush "updb" or go to "/update.php"
   Then we should see the steps of updates.
   When we copy the bootstrap_layout module back to the project
    And enable it
    And we run drush "updb" or go to "/update.php" again
   Then we will have the site update with the new Varbase 8.4.02 version
   When we go to "/admin/config/development/features"
   Then we should see "Changed"
   When we follow with each feature to import new changes.
   Then we will have the Varbase site updated to the latest version.
```
